package models

type Contract struct {
	Runners []Runner `json:"runners"`
	Locale  string   `json:"locale" enums:"en,de"`
}

type Runner struct {
	ID         int    `json:"id"`
	FirstName  string `json:"first_name"`
	MiddleName string `json:"middle_name"`
	LastName   string `json:"last_name"`
	Group      Group  `json:"group"`
}

type Group struct {
	ID          int    `json:"id"`
	Name        string `json:"name"`
	ParentGroup *Group `json:"parent_group"`
}
